# collect

Serverside tools to poll the N|Solid hub for metrics, then assemble &
format the data for consumption by the frontend.

#### Responsible for

* Polling N|Solid Hub for metrics.
* Tracking of metrics over time.
* Assembling consistent state of the world structures.
* Eventual persistance of metrics (values currently live in-memory only)

### ../collect.js

* HTTP/WebSocket endpoints for serving N|Solid metric data.
* Full state of the world is transmit to client
* Merges various CLI command outputs to produce unified state of the system.

### ./hub.js

Executes N|Solid CLI commands.

### ./graphs/

Assembles timeseries data for the specific sparkline & spectrogram controls.

### ./heap-snapshot/

Streaming parser and query utility for the V8 heap snapshot format. Code adapted from Chrome's DevTools.
