import async from 'async'

module.exports = createActionQueue

function createActionQueue (config) {
  function worker (action, next) {
    if (!action.execute) {
      return next()
    }

    action.execute(config, next)
  }

  return async.queue(worker, 1)
}
