#nsolid-proxy

The proxy portion of the N|Solid Hub.

This is a stateless proxy that looks up routing information in the N|Solid registry and accepts commands from the CLI or N|Solid Console and proxies those to the intended destinations based on routing information in the RPC request.

It is configured by the configuration file found at `.nsolid-proxyrc`

See https://docs.nodesource.com/nsolid/1.0/docs/installing-the-hub for more information.

A recent change to the proxy was to accept more than one etcd server as
the `registry` configuration option, or `REGISTRY` env var.  You can
now specify multiple, by separating them in the string value with a
comma.  Eg, `2379,3379` will specify to use etcd servers at ports 2379
and 3379.
